from distutils.core import setup
from glob import glob
from distutils.command.install_data import install_data
from distutils.command.build import build 
from distutils.dep_util import newer
from distutils.log import warn, info, error, fatal
import os, sys, subprocess
from setuptools import setup, find_packages

version = '1.0.1'

"""os.chdir(os.path.abspath(os.path.dirname(__file__)))"""

MO_DIR = 'po'


def find_po_files ():
        data_files = []

        for mo in glob (os.path.join (MO_DIR, '*', 'LC_MESSAGES','timeline.mo')):
                lang = os.path.basename(os.path.split(os.path.dirname(mo))[0])
                dest = os.path.join('share', 'locale', lang, 'LC_MESSAGES')
                data_files.append((dest, [mo]))

        return data_files
        
README = os.path.join(os.path.dirname(__file__), 'README')

long_description = open(README).read() + 'nn'

files = find_po_files()

setup(name='timeline',
      version=version,
      author='soportelihuen',
      author_email='soportelihuen@mail.linti.unlp.edu.ar',
      url='http://www.lihuen.linti.unlp.edu.ar',
      license='GPL',
      scripts=['timelineLaunch','timeline.py'],
      packages=find_packages(),
      include_package_data=True,
      data_files = files
)
